%define upstream_name MooX-ConfigFromFile
%define upstream_version 0.009

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Moo eXtension for initializing objects from config file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Any)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find::Rule) >= 0.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(Hash::Merge)
BuildRequires: perl(JSON)
BuildRequires: perl(Moo) >= 1.3.0
BuildRequires: perl(MooX::File::ConfigDir) >= 0.2.0
BuildRequires: perl(Test::More) >= 0.900.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Moo eXtension for initializing objects from config file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.9.0-5.mga10
+ Revision: 2208504
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.9.0-4.mga9
+ Revision: 1818874
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.9.0-3.mga8
+ Revision: 1505294
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.9.0-2.mga7
+ Revision: 1284991
- Mageia 7 Mass Rebuild

* Wed May 02 2018 tv <tv> 0.9.0-1.mga7
+ Revision: 1224700
- update to 0.009

* Fri Jul 21 2017 sander85 <sander85> 0.8.0-1.mga7
+ Revision: 1126109
- update to 0.008

* Sun Jun 19 2016 pterjan <pterjan> 0.7.0-3.mga6
+ Revision: 1030716
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.7.0-2.mga6
+ Revision: 966542
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 0.7.0-1.mga6
+ Revision: 845904
- update to 0.007

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-4.mga5
+ Revision: 751208
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.3.0-3.mga5
+ Revision: 735932
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-2.mga5
+ Revision: 685495
- Mageia 5 Mass Rebuild

* Sun Aug 03 2014 sander85 <sander85> 0.3.0-1.mga5
+ Revision: 659397
- update to 0.003

* Mon Oct 21 2013 umeabot <umeabot> 0.2.0-2.mga4
+ Revision: 538063
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 sander85 <sander85> 0.2.0-1.mga4
+ Revision: 488402
- imported package perl-MooX-ConfigFromFile

